image: python:3.11

stages:
  - test
  - deploy

before_script:
  - pip install wheel

test_job:
  stage: test
  script:
    - pip install pytest pytest-benchmark
    - python setup.py test

deploy_job:
  stage: deploy
  only:
    - tags
  script:
    - pip install wheel
    - python setup.py bdist_wheel
    - pip install twine
    - python -m twine upload -u cimba -p $TWINE_PASSWORD dist/*.whl
